Bug 575376 - Review Request: perl-CGI-Application-Plugin-Authentication - Authentication framework for CGI::Application
Summary: Review Request: perl-CGI-Application-Plugin-Authentication - Authentication f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-20 12:22 UTC by Emmanuel Seyman
Modified: 2010-04-13 01:54 UTC (History)
2 users (show)

Fixed In Version: perl-CGI-Application-Plugin-Authentication-0.17-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-13 01:41:15 UTC
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2010-03-20 12:22:19 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-Authentication/perl-CGI-Application-Plugin-Authentication.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-Authentication/perl-CGI-Application-Plugin-Authentication-0.17-1.fc12.src.rpm
Description:
CGI::Application::Plugin::Authentication adds the ability to
authenticate users in your CGI::Application modules. It imports one
method called 'authen' into your CGI::Application module. Through the
'authen' method you can call all the methods of the
CGI::Application::Plugin::Authentication plugin.

Comment 1 Chris Weyl 2010-03-20 17:10:18 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2065054

Comment 2 Chris Weyl 2010-03-20 17:14:38 UTC
Looks good!

Looks like there are optional tests depending on Authen::Simple -- this should
be BR'ed.

There's a sample script under examples/; why not include it in %doc?

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2065054

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
5d9c12b46f586f56dfd32e6b029cae6645e7621d CGI-Application-Plugin-Authentication-0.17.tar.gz
5d9c12b46f586f56dfd32e6b029cae6645e7621d CGI-Application-Plugin-Authentication-0.17.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-CGI-Application-Plugin-Authentication-0.17-1.fc13.noarch.rpm <=====
====> rpmlint
perl-CGI-Application-Plugin-Authentication.noarch: W: spelling-error %description -l en_US authen -> authentic, author, Athens
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides for perl-CGI-Application-Plugin-Authentication-0.17-1.fc13.noarch.rpm
perl(CGI::Application::Plugin::Authentication) = 0.17
perl-CGI-Application-Plugin-Authentication = 0.17-1.fc13
perl(CGI::Application::Plugin::Authentication::Driver)  
perl(CGI::Application::Plugin::Authentication::Driver::Authen::Simple)  
perl(CGI::Application::Plugin::Authentication::Driver::DBI)  
perl(CGI::Application::Plugin::Authentication::Driver::Dummy)  
perl(CGI::Application::Plugin::Authentication::Driver::Filter::crypt)  
perl(CGI::Application::Plugin::Authentication::Driver::Filter::lc)  
perl(CGI::Application::Plugin::Authentication::Driver::Filter::md5)  
perl(CGI::Application::Plugin::Authentication::Driver::Filter::sha1)  
perl(CGI::Application::Plugin::Authentication::Driver::Filter::strip)  
perl(CGI::Application::Plugin::Authentication::Driver::Filter::uc)  
perl(CGI::Application::Plugin::Authentication::Driver::Generic)  
perl(CGI::Application::Plugin::Authentication::Driver::HTPasswd)  
perl(CGI::Application::Plugin::Authentication::Store)  
perl(CGI::Application::Plugin::Authentication::Store::Cookie)  
perl(CGI::Application::Plugin::Authentication::Store::Session)  
====> requires for perl-CGI-Application-Plugin-Authentication-0.17-1.fc13.noarch.rpm
perl >= 0:5.006
perl(Apache::Htpasswd)  
perl(Attribute::Handlers)  
perl(base)  
perl(Carp)  
perl(CGI)  
perl(CGI::Cookie)  
perl(Class::ISA)  
perl(Digest::SHA1)  
perl(MIME::Base64)  
perl(:MODULE_COMPAT_5.10.1)  
perl(Scalar::Util)  
perl(strict)  
perl(UNIVERSAL::require)  
perl(warnings)  

=====> perl-CGI-Application-Plugin-Authentication-0.17-1.fc13.src.rpm <=====
====> rpmlint
perl-CGI-Application-Plugin-Authentication.src: W: spelling-error %description -l en_US authen -> authentic, author, Athens
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides for perl-CGI-Application-Plugin-Authentication-0.17-1.fc13.src.rpm
====> requires for perl-CGI-Application-Plugin-Authentication-0.17-1.fc13.src.rpm
perl  
perl(Apache::Htpasswd)  
perl(CGI::Application)  
perl(CGI::Application::Plugin::AutoRunmode)  
perl(CGI::Application::Plugin::Session)  
perl(CGI::Cookie)  
perl(Color::Calc)  
perl(Crypt::PasswdMD5)  
perl(DBD::SQLite)  
perl(Digest::SHA1)  
perl(Module::Build)  
perl(Task::Weaken)  
perl(Test::Exception)  
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Warn)  
perl(UNIVERSAL::require)  

APPROVED

Comment 3 Emmanuel Seyman 2010-03-20 18:02:12 UTC
(In reply to comment #2)
> 
> Looks like there are optional tests depending on Authen::Simple -- this should
> be BR'ed.

Adding perl(Authen::Simple) to BR and building on dist-f12 works, doing the same build on dist-f14 currently breaks (see scratch build #2065112 for details).

http://koji.fedoraproject.org/koji/taskinfo?taskID=2065112

> There's a sample script under examples/; why not include it in %doc?

Done.

> APPROVED    

Thanks, Chris. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Plugin-Authentication
Short Description: Authentication framework for CGI::Application
Owners: eseyman
Branches: F-13 F-12 F-11
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-03-24 03:31:03 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-03-24 10:19:48 UTC
perl-CGI-Application-Plugin-Authentication-0.17-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-Authentication-0.17-2.fc12

Comment 6 Fedora Update System 2010-03-24 10:19:53 UTC
perl-CGI-Application-Plugin-Authentication-0.17-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-Authentication-0.17-2.fc11

Comment 7 Fedora Update System 2010-03-24 10:19:58 UTC
perl-CGI-Application-Plugin-Authentication-0.17-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-Authentication-0.17-2.fc13

Comment 8 Fedora Update System 2010-03-24 23:33:25 UTC
perl-CGI-Application-Plugin-Authentication-0.17-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-Authentication'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-Authentication-0.17-2.fc13

Comment 9 Fedora Update System 2010-03-24 23:33:55 UTC
perl-CGI-Application-Plugin-Authentication-0.17-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-Authentication'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-Authentication-0.17-2.fc12

Comment 10 Fedora Update System 2010-03-24 23:33:59 UTC
perl-CGI-Application-Plugin-Authentication-0.17-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-Authentication'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-Authentication-0.17-2.fc11

Comment 11 Fedora Update System 2010-04-13 01:41:10 UTC
perl-CGI-Application-Plugin-Authentication-0.17-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-13 01:53:18 UTC
perl-CGI-Application-Plugin-Authentication-0.17-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-04-13 01:53:59 UTC
perl-CGI-Application-Plugin-Authentication-0.17-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.